summaryrefslogtreecommitdiff
path: root/dev-lang/nasm
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-09-16 00:42:57 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-09-16 00:42:57 +0000
commit2ce9c865ecfb79e712a04c75b4fb8669b6c3111b (patch)
tree74eec7832ed2aa4ebf38070fd070427b82d18176 /dev-lang/nasm
parent35b3ebb397fa64d40c57c8eec6ccd1271d60b086 (diff)
downloadbaldeagleos-repo-2ce9c865ecfb79e712a04c75b4fb8669b6c3111b.tar.gz
baldeagleos-repo-2ce9c865ecfb79e712a04c75b4fb8669b6c3111b.tar.xz
baldeagleos-repo-2ce9c865ecfb79e712a04c75b4fb8669b6c3111b.zip
Adding metadata
Diffstat (limited to 'dev-lang/nasm')
-rw-r--r--dev-lang/nasm/nasm-2.15.05.ebuild9
1 files changed, 9 insertions, 0 deletions
diff --git a/dev-lang/nasm/nasm-2.15.05.ebuild b/dev-lang/nasm/nasm-2.15.05.ebuild
index 1982975e49b1..95e1d21fe3f0 100644
--- a/dev-lang/nasm/nasm-2.15.05.ebuild
+++ b/dev-lang/nasm/nasm-2.15.05.ebuild
@@ -32,6 +32,15 @@ PATCHES=(
"${FILESDIR}"/${PN}-2.15-bsd-cp-doc.patch
)
+src_prepare() {
+ default
+
+ # https://bugs.gentoo.org/870214
+ # During the split of media-fonts/source-pro, the source-sans files
+ # were renamed.
+ sed -i 's/SourceSansPro/SourceSans3/g' doc/psfonts.ph || die
+}
+
src_compile() {
default
use doc && emake doc